/* Macro definitions for running gdb on a Sparc running GNU/Linux.

   Copyright 1989, 1992, 1996, 1998, 1999, 2000, 2002 Free Software
   Foundation, Inc.

   This file is part of GDB.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

#include <nm-sysv4.h>
#include "nm-linux.h"
#include "solib.h"

#define FETCH_INFERIOR_REGISTERS

/* Before storing, we need to read all the registers.

   This would be needed even if ptrace provided a way to read/write
   one register at a time.  The reason is that if you change the value
   of SP_REGNUM, you have to read in the local/in registers first.
   These registers are saved in memory on the stack on Sparc, not in
   the ptrace save area.  */

#define CHILD_PREPARE_TO_STORE() read_register_bytes (0, NULL, REGISTER_BYTES)

#define PTRACE_ARG3_TYPE long

#ifdef __arch64__
#define PTRACE_XFER_TYPE long
#endif

#define CHILD_XFER_MEMORY
